## sgml-data 2.0.8

=== debian/changelog ===
sgml-data (2.0.8) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.8.3).
  * Bumped debhelper version to 9 (was 5.0.0); updated debian/compat.
  * Now package sgml-data suggests package w3-recs instead of missing
    package doc-html-w3. (Closes: #612239)
  * Added Homepage field debian/control.
  * Simplified file debian/rules:
    - dh_testdir and dh_testroot  commands used instead manual
      "checkdir" and "checkroot" functions
    - deleted few useless comments
  * Deleted files debian/postrm and debian/preinst:
    - extra commands from them are not necessary now
    - necessary commands debhelper generates automatically
  * Fixed such lintian warnings and notes:
    + sgml-data source:
      - package-file-is-executable debian/control
      - debian-rules-missing-recommended-target build-arch
      - debian-rules-missing-recommended-target build-indep
      - dh-clean-k-is-deprecated
    + sgml-data:
      - conflicts-with-version sp (<= 1.1.1-2)
      - possible-documentation-but-no-doc-base-registration

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 24 Jun 2012 14:07:16 +0300

sgml-data (2.0.7) unstable; urgency=low

  * QA upload.
  * Rebuild with a version of debhelper fixing #477751.
  * Remove open-coded occurrence of this issue. (Closes: #675488)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 23 Jun 2012 23:07:18 +0200

=== debian/control ===
Source: sgml-data
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: xml-core (>= 0.06)
Homepage: http://debian-xml-sgml.alioth.debian.org/
Standards-Version: 3.9.3

Package: sgml-data
Architecture: all
Breaks: sp (<= 1.1.1-2)
Depends: ${perl:Depends}, ${misc:Depends}
Suggests: perlsgml, w3-recs, opensp, libxml2-utils
Replaces: docbook-xml (<= 3.1.3.6-1), sp (<< 1.3.4-1.2.1-14)
Description: common SGML and XML data
 This package contains basic XML and SGML data shared and used by
 multiple packages.  The package provides the technical format
 (Document Type Definition, or DTD) of all major versions of HTML.  It
 also includes standard character entity definitions which describe
 spacial characters or international characters, as well as other
 standard miscellany used by other SGML and XML packages.
 .
 This package implements the Debian XML and SGML standards for entity
 placement and registration.  This benefits the user by making the
 included materials instantly available to people writing, editing or
 building documentation without any further effort.  See
 <http://debian-xml-sgml.alioth.debian.org/> for more information.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for sgml-data
#
# Some bytes in this file may have been touched by Ian Jackson,
# so I can never remove his name from this file.  Oh boy.

#
# todo: cvs-build function
#

package		:= sgml-data

# directory abstraction
prefix		:= debian/$(package)
libdir		:= $(prefix)/usr/share/$(package)
sgmldir		:= $(prefix)/usr/share/sgml
xmldir		:= $(prefix)/usr/share/xml

install_file	:= install -o root -g root -m 644 -p
install_program	:= install -o root -g root -m 755 -p
make_dir	:= install -d -o root -g root -m 755
compress	:= gzip -9f


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
#	nothing to be done

clean:
	dh_testdir
	dh_clean

test:
	dh_testdir
	perl -cw sgml-catalog-check.pl

binary-indep:	build test
	dh_testdir
	dh_testroot
	dh_prep

#	 install SGML stuff
	set -e; for dir in  `cd sgml; find . -path '*/CVS' -prune -o -type d -print`; do \
		$(make_dir) $(sgmldir)/$$dir						;\
	done

	set -e; for file in `cd sgml; find . -path '*/CVS/*' -prune -o		\
			      -name 'catalog*' -prune -o -type f -print`; do	\
		[ ! -f sgml/$$file ] ||						\
		  $(install_file) sgml/$$file $(sgmldir)/$$file			;\
	done
	[ -f $(sgmldir)/dtd/rdf.dtd ]
	dh_installcatalogs

#	 install XML stuff
	set -e; for dir in  `cd xml; find . -path '*/CVS' -prune -o -type d -print`; do	\
		$(make_dir) $(xmldir)/$$dir					;\
	done

	set -e; for file in `cd xml; find . -path '*/CVS/*' -prune -o		\
			      -name 'catalog*' -prune -o -type f -print`; do	\
		[ ! -f xml/$$file ] ||						\
		  $(install_file) xml/$$file $(xmldir)/$$file			;\
	done
	[ -f $(xmldir)/declaration/xml.dcl ]
	dh_installxmlcatalogs

#	 compatability links
	dh_link

#	 checker script, until this gets added to sgml-base
	$(make_dir) $(libdir)
	$(install_program) sgml-catalog-check.pl $(libdir)/

#	 create all the nice links as specified in SGML FS Guidelines
	set -e; cd sgml; for file in `find [a-z]* -name catalog -o -name '*.soc'`; do	\
	    echo "checking sgml/$$file"							;\
	    ../sgml-catalog-check.pl -v 0 -d ../$(sgmldir) $$file		;\
	done
#	 UNSURE: do the same for XML stuff?

#	 move in documentation
	dh_installdocs copyright-w3o-documents.html
	dh_installchangelogs
	dh_installexamples examples/*
	dh_fixperms
	dh_lintian

#	 check for bad links
	for LINK in $$(find $(prefix) -type l); do \
		TARGET=$$(readlink $$LINK); \
		[ "$$TARGET" != "$${TARGET#/etc}" ] || [ -e $$LINK ] \
		|| echo "dangling symlink: $$LINK -> $$TARGET"; \
	done

	dh_compress -i

	dh_installdeb -i
	dh_perl -d -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch:	build
# nothing to be done

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## sgml-data 2.0.9

=== debian/changelog ===
sgml-data (2.0.9-1) unstable; urgency=low

  * New maintainer.  Closes: #358521
  * Convert to non-native source/format 3.0 (quilt) package.
  * Add Vcs-* field pointing to the alioth git repo.
  * Modernized around build script and debhelper files.
  * Make binary package as Multi-Arch: foreign.

 -- Osamu Aoki <osamu@debian.org>  Tue, 21 May 2013 00:15:32 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: sgml-data
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: xml-core (>= 0.06)
 Homepage: http://debian-xml-sgml.alioth.debian.org/
+Vcs-Git: git://git.debian.org/collab-maint/sgml-data.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/sgml-data.git
 Standards-Version: 3.9.3
 
 Package: sgml-data
 Architecture: all
+Multi-Arch: foreign
 Breaks: sp (<= 1.1.1-2)
 Depends: ${perl:Depends}, ${misc:Depends}
 Suggests: perlsgml, w3-recs, opensp, libxml2-utils

## sgml-data 2.0.10

=== debian/changelog ===
sgml-data (2.0.10) unstable; urgency=medium

  * Updating git URL.
  * Packaging as 3.0 (native)

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Oct 2014 21:47:59 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: xml-core (>= 0.06)
 Homepage: http://debian-xml-sgml.alioth.debian.org/
-Vcs-Git: git://git.debian.org/collab-maint/sgml-data.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sgml-data.git
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/sgml-data.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sgml-data.git
+Standards-Version: 3.9.6
 
 Package: sgml-data
 Architecture: all

## sgml-data 2.0.11

=== debian/changelog ===
sgml-data (2.0.11) unstable; urgency=medium

  * Team upload.
  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Bump standard version and compat.
  * Update maintainer to the group address.
  * Remove reference to alioth web page.

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Jul 2018 14:09:25 +0900

## sgml-data 2.0.11+nmu1

=== examples/Makefile ===

SRCS	:= $(wildcard *.html *.sgml *.xml)
NSGMLS	:= $(shell if command -v onsgmls 2>/dev/null; then	 \
			:					;\
		   elif command -v nsgmls 2>/dev/null; then	 \
			:					;\
		   else						 \
			echo "false"				;\
			echo "warning: no nsgmls found" 1>&2	;\
		   fi)

.PHONY: validate
validate:	$(addsuffix .validate,$(SRCS))

%.xml.validate : %.xml
	xmllint --noout --valid --nonet $<

%.xml.validate.nsgmls : %.xml
	SP_CHARSET_FIXED=YES SP_ENCODING=XML $(NSGMLS) -wxml -wall -gues /usr/share/xml/declaration/xml.dcl $<

%.xml.validate.rxp : %.xml
	rxp -sNVV $<

%.validate : %
	$(NSGMLS) -wall -gues $<

clean:
	rm -f /tmp/debian-man-ref.ent

=== debian/changelog ===
sgml-data (2.0.11+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Dec 2020 00:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sgml-data
 Section: text
 Priority: optional
-Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 9)
+Maintainer: Debian XML SGML Team <debian-sgml@lists.debian.org>
+# URL for team: https://salsa.debian.org/xml-sgml-team
+# Alternative address: team+xml-sgml-team@tracker.debian.org
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: xml-core (>= 0.06)
-Homepage: http://debian-xml-sgml.alioth.debian.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/sgml-data.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sgml-data.git
-Standards-Version: 3.9.6
+Vcs-Git: https://salsa.debian.org/debian/sgml-data.git
+Vcs-Browser: https://salsa.debian.org/debian/sgml-data
+Standards-Version: 4.1.5
 
 Package: sgml-data
 Architecture: all
@@ -27,5 +28,4 @@
  This package implements the Debian XML and SGML standards for entity
  placement and registration.  This benefits the user by making the
  included materials instantly available to people writing, editing or
- building documentation without any further effort.  See
- <http://debian-xml-sgml.alioth.debian.org/> for more information.
+ building documentation without any further effort.

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1
# uncomment to exclude VCS paths
DH_ALWAYS_EXCLUDE=CVS:.svn:.git

%:
	dh $@

#######################################################################
# Some bytes in this file may have been touched by Ian Jackson,
# so I can never remove his name from this file.  Oh boy.
# But modernized for easier maint.

#######################################################################
# directory abstraction
prefix		:= debian/sgml-data
sgmldir		:= $(prefix)/usr/share/sgml
xmldir		:= $(prefix)/usr/share/xml

#######################################################################
override_dh_auto_configure:
	# -c check without execution, -w warn
	perl -cw sgml-catalog-check.pl

#######################################################################
override_dh_install:
	dh_install -X/catalog
	# skip */catalog and */catalog.xml files 
	# but do not skip sgml-catalog-check.pl

#######################################################################
override_dh_installcatalogs:
	# assert if destination free
	if [ -f $(sgmldir)/dtd/rdf.dtd ]; then exit; fi
	dh_installcatalogs
	# assert if destination free
	if [ -f $(xmldir)/declaration/xml.dcl ]; then exit; fi
	dh_installxmlcatalogs

#######################################################################
override_dh_link:
	dh_link
#	 create all the nice links as specified in SGML FS Guidelines
#	 (No more CVS/ in subdirectory)
	set -e; cd sgml; for file in `find . -name catalog -o -name '*.soc'`; do	\
	    echo "checking sgml/$$file"							;\
	    ../sgml-catalog-check.pl -v 0 -d ../$(sgmldir) $$file		;\
	done
#	 UNSURE: do the same for XML stuff? (original comment before Osamu)

#######################################################################
override_dh_lintian:
	dh_lintian
#	 check for bad links but do not stop
	for LINK in $$(find $(prefix) -type l); do \
		TARGET=$$(readlink $$LINK); \
		[ "$$TARGET" != "$${TARGET#/etc}" ] || [ -e $$LINK ] \
		|| echo "dangling symlink: $$LINK -> $$TARGET"; \
	done

## sgml-data 2.0.11+nmu1build1

=== debian/changelog ===
sgml-data (2.0.11+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 15:14:21 +0100
